org.codehaus.groovy.control.customizers.builder

## Class SourceAwareCustomizerFactory.SourceOptions

- java.lang.Object
- - org.codehaus.groovy.control.customizers.builder.SourceAwareCustomizerFactory.SourceOptions

Enclosing class:
  SourceAwareCustomizerFactory

    public static class SourceAwareCustomizerFactory.SourceOptions
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `basename`
`java.util.List<java.lang.String>` `basenames`
`Closure<java.lang.Boolean>` `basenameValidator`
`Closure<java.lang.Boolean>` `classValidator`
`CompilationCustomizer` `delegate`
`java.lang.String` `extension`
`java.util.List<java.lang.String>` `extensions`
`Closure<java.lang.Boolean>` `extensionValidator`
`Closure<java.lang.Boolean>` `unitValidator`

### Constructor Summary

Constructors
Constructor and Description
`SourceOptions()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### delegate

    public CompilationCustomizer delegate

#### extensionValidator

    public Closure<java.lang.Boolean> extensionValidator

#### unitValidator

    public Closure<java.lang.Boolean> unitValidator

#### basenameValidator

    public Closure<java.lang.Boolean> basenameValidator

#### classValidator

    public Closure<java.lang.Boolean> classValidator

#### extension

    public java.lang.String extension

#### basename

    public java.lang.String basename

#### extensions

    public java.util.List<java.lang.String> extensions

#### basenames

    public java.util.List<java.lang.String> basenames

### Constructor Detail

#### SourceOptions

    public SourceOptions()